PCP-SLABINFO(1)

NAME
pcp-slabinfo - Report statistics for kernel slab allocator statistics

SYNOPSIS
pcp [pcp options] slabinfo [-s samples] [-a archive] [-Z --timezone] [-z --hostzone] [-V Version]

DESCRIPTION
The pcp-slabinfo command is used for viewing different stats related to slab. It helps users analyze useful information related to the slab allocator. The information includes the total number of objects that are currently active, allocated objects, pages per slab, etc. By default, pcp-slabinfo reports live data for the local host.

The statistics shown are as follows:
HEADER | DESCRIPTION
active_objs | The number of objects that are currently active (i.e., in use)
num_objs | The total number of allocated objects (i.e. objects that are both in use and not in use).
objsize | The size of objects in this slab, in bytes.
objperslab | The number of objects stored in each slab.
pagesperslab | The number of pages allocated for each slab
active_slabs | The number of active slabs.
num_slabs | The total number of slabs.

OPTIONS

-a, --archive
    Fetch /proc/slabinfo for a specified archive file

-s, --samples
    Get the slabinfo for the specified number of samples count

-z, --hostzone
    Set the reporting timezone to the local time of metrics source

-Z, --timezone
    Set the reporting timezone

-V, --version
    Display the version number and exit.

-?, --help
    Display the usage message and exit.

NOTES
pcp-slabinfo collects information from /proc/slabinfo and aims to be command-line and output compatible with it.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1), pcp(1), pmParseInterval(3), environ(7).